/**
hdu 3622 Bomb Game#2-sat+二分
这题竟然卡精度。
题意,有n对圆心,每对选一个,设置一个半径,使得任意两个圆不能相交,求最大的半径。
明显的2-sat+二分,矛盾即相交,因为圆都一样,不妨先求最大的直径。
*/
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <vector>
using namespace std;
#define N 200
#define INF 1e5
#define EPS 1e-3
#define EPS2 1e-8
int n,e;
double d[N][N];
vector<int> vec[N];
int id[N],pre[N],low[N],s[N],stop,cnt,scnt;
void tarjan(int v)
{
int t,minc = low[v] = pre[v] =cnt++;
vector<int>::iterator pv;
s[stop++] = v;
for(pv= vec[v].begin(); pv != vec[v].end(); ++pv)
{
if(-1 == pre[*pv])
tarjan(*pv);
if(low[
hdu 3622 Bomb Game#2-sat+二分
最新推荐文章于 2022-06-30 23:08:18 发布